ch.qos.logback.core.joran.action

## Class ImplicitAction

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.action.Action
    - - ch.qos.logback.core.joran.action.ImplicitAction

All Implemented Interfaces:
  ContextAware

Direct Known Subclasses:
  NestedBasicPropertyIA, NestedComplexPropertyIA

    public abstract class ImplicitAction
    extends Action

ImplcitActions are like normal (explicit) actions except that are applied by the parser when no other pattern applies. Since there can be many implicit actions, each action is asked whether it applies in the given context. The first implicit action to respond positively is then applied. See also the `isApplicable(ch.qos.logback.core.joran.spi.ElementPath, org.xml.sax.Attributes, ch.qos.logback.core.joran.spi.InterpretationContext)` method.

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`ImplicitAction()`

### Method Summary

Methods
`abstract boolean` `isApplicable(ElementPath currentElementPath, org.xml.sax.Attributes attributes, InterpretationContext ec)` Check whether this implicit action is appropriate in the current context.

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`begin, body, end, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ImplicitAction

    public ImplicitAction()

### Method Detail

#### isApplicable

    public abstract boolean isApplicable(ElementPath currentElementPath,
                       org.xml.sax.Attributes attributes,
                       InterpretationContext ec)

Check whether this implicit action is appropriate in the current context.

Parameters:
  `currentElementPath` - This pattern contains the tag name of the current element being parsed at the top of the stack.
  `attributes` - The attributes of the current element to process.
  `ec` -
Returns:
  Whether the implicit action is applicable in the current context